Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.data
Enum AlphabetContainer.AlphabetContainerType

    java.lang.Object
      java.lang.Enum<AlphabetContainer.AlphabetContainerType>
          de.jstacs.data.AlphabetContainer.AlphabetContainerType

All Implemented Interfaces:
  Serializable, Comparable<AlphabetContainer.AlphabetContainerType>

Enclosing class:
  AlphabetContainer

    public static enum AlphabetContainer.AlphabetContainerType

extends Enum<AlphabetContainer.AlphabetContainerType>

This `enum` defines types of `AlphabetContainer`s. These can be comprised of discrete alphabets, continuous alphabets, or discrete and continuous alphabets at different positions.

Author:
  Jan Grau

Enum Constant Summary
`BOTH` The `Alphabet`s may be either continuous or discrete.
`CONTINUOUS` The all `Alphabet`s are continuous.
`DISCRETE` The all `Alphabet`s are discrete.

Method Summary
`LinkedList<InstanceParameterSet>` | `getInstanceParameterSets()` This method returns a `LinkedList` of `InstanceParameterSet`s which can be used to create `Alphabet`s that can be used in a `AlphabetContainer` of the given `AlphabetContainer.AlphabetContainerType`.
`static AlphabetContainer.AlphabetContainerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AlphabetContainer.AlphabetContainerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISCRETE

    public static final AlphabetContainer.AlphabetContainerType DISCRETE

  The all `Alphabet`s are discrete.

### CONTINUOUS

    public static final AlphabetContainer.AlphabetContainerType CONTINUOUS

  The all `Alphabet`s are continuous.

### BOTH

    public static final AlphabetContainer.AlphabetContainerType BOTH

  The `Alphabet`s may be either continuous or discrete.

Method Detail

### values

    public static AlphabetContainer.AlphabetContainerType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AlphabetContainer.AlphabetContainerType c : AlphabetContainer.AlphabetContainerType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AlphabetContainer.AlphabetContainerType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getInstanceParameterSets

    public LinkedList<InstanceParameterSet> getInstanceParameterSets()
                                                              throws ClassNotFoundException,
                                                                     IOException,
                                                                     InstantiationException,
                                                                     IllegalAccessException

  This method returns a `LinkedList` of `InstanceParameterSet`s which can be used to create `Alphabet`s that can be used in a `AlphabetContainer` of the given `AlphabetContainer.AlphabetContainerType`.

  Returns:
    a `LinkedList` of `InstanceParameterSet`s * @throws InstantiationException if any `InstanceParameterSet` has no nullary constructor; or if the instantiation fails for some other reason
  Throws:
    `IllegalAccessException` - if any `InstanceParameterSet` or its nullary constructor is not accessible
    `ClassNotFoundException` - if one of the classes is present in the file system or jar but cannot be loaded by the class loader
    `IOException` - if the classes are searched for in a jar file, but that file could not be accessed or read
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD